@import url('clases_videos.css');
@import url('back.css');
@import url('form.css');
@import url('cv.css');
@import url('prompt_trabajos.css');
@import url('scroll.css');
@import url('menu.css');

:root {
    --colorLetra: yellow;
}


@font-face {
    font-family: 'Lumanosimo';
    src: url('../pdf/Lumanosimo-Regular.ttf') format('truetype');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Lumanosimo, Arial, Helvetica, sans-serif;
    transition: all .5s;
}

body {
    background: linear-gradient(180deg, blue, green) no-repeat;
    cursor: url('../img/cursor.png'), auto;
    header {
        width: 100vw;
        min-height: 15vh;
        display: grid;
        place-items: center;
        grid-template-columns: auto auto;
        color: var(--colorLetra);

        div {
            height: 3.9em;
            width: 3.9em;
            background-image: url('../img/icons.png');
            background-repeat: no-repeat;
            background-size: 1100%;
            background-position: -175px 0px;
            transition: transform .5s;
            justify-self: self-end;
            filter: drop-shadow(0 0 5px yellow) drop-shadow(0 0 10px yellow);




            &:hover {
                transform: scale(.8);
                filter: drop-shadow(0 0 10px white) drop-shadow(0 0 20px grey);

            }
        }

        h1 {
            font-size: min(1.5em, 2em);
            font-weight: bolder;
            justify-self: self-start;
            text-shadow: 3px 3px 3px black;
            text-align: center;
        }
    }


    main {
        display: grid;
        place-items: center;
        min-height: 85vh;
        margin-bottom: 3em;



        .card {
            width: min(100%, 50em);
            height: 30em;
            border: 5px solid rgb(0, 255, 255);
            border-bottom: 5px solid rgb(238, 129, 238);


            display: grid;
            padding: 0 10px;
            grid-template-areas:
                'foto  texto';
            color: var(--colorLetra);

            div:first-child {
                width: 8em;
                background-image: url('../img/fotoPersonal.png');
                background-repeat: no-repeat;
                background-size: 215%;
                background-position: -10px center;
                grid-area: foto;
                margin-right: .5em;

                @media (width < 406px ){
                    width: 6em;
                }
                &:hover {
                    transform: scale(.9);
                    filter: drop-shadow(5px 5px 5px #000);

                }

            }

            div:nth-child(2) {
                background-color: rgb(254, 239, 239);
                grid-area: texto;
                background-color: inherit;
                display: grid;
                place-items: center;
                overflow: auto;

                p {
                    text-shadow: 3px 3px 3px black;
                }
            }




        }


    }

    footer {

        color: var(--colorLetra);
        position: fixed;
        bottom: 0;
        width: 100vw;


        ul {
            display: grid;
            place-items: center;
            grid-template-columns: repeat(9, 1fr);
            text-decoration: none;
            list-style-type: none;
            overflow: auto;

            @media(width < 406px) {
                float: right;
                margin: 5px 10px;
                width: 5em;
                height: 5em;
                background-image: url('../img/lion.png');
                background-size: 5em;
                background-repeat: no-repeat;
                background-position: center;
             
                &:hover{
                    transform: scale(0.9);
                }
            

            li {
                display: none;
            }
        }

        li {
            height: 2.5em;
            width: 2.5em;
            background-repeat: no-repeat;
            background-size: 1100%;
            background-image: url('../img/icons.png');
            margin-top: .5em;

            a {
                width: 100%;
                height: 100%;
                display: inline-block;
            }


            @media (max-width: 400px) {
                margin: 0.5em;
            }

        }


        li:first-child {
            background-position: -235px 1px;
            content: 'Portfolios Webs';

            &:hover {
                background-position: -235px -44px;
            }
        }

        li:nth-child(2) {
            background-position: -151px 1px;
            content: 'Linkedin';

            &:hover {
                background-position: -151px -44px;

            }

        }

        li:nth-child(3) {
            background-position: -275px 1px;
            content: 'Curriculum';

            &:hover {
                background-position: -275px -44px;

            }
        }

        li:nth-child(4) {
            background-position: -75px -44px;
            content: 'Github';

            &:hover {
                background-position: -75px 1px;

            }
        }

        li:nth-child(5) {
            background-position: -191px 1px;
            content: 'Clases';

            &:hover {
                background-position: -191px -44px;

            }
        }

        li:nth-child(6) {
            background-position: -315px 1px;
            content: 'proyectos';

            &:hover {
                background-position: -315px -44px;

            }
        }

        li:nth-child(7) {
            background-position: -399px 1px;
            content: 'You Tube';

            &:hover {
                background-position: -399px -44px;

            }
        }

        li:nth-child(8) {
            background-position: -358px 1px;
            content: 'WhatsApp';

            &:hover {
                background-position: -358px -44px;

            }
        }

        li:last-child {
            background-position: -31px 1px;
            content: 'Correo';

            &:hover {
                background-position: -31px -44px;

            }
        }

    }
}


}
